> For the complete documentation index, see [llms.txt](https://docs.pagouno.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagouno.com/api-pagouno/notificaciones-webhooks.md).

# Notificaciones Webhooks

**Webhook** es una notificación que le envía **pagoUno** relacionada a sus transacciones.

El sistema enviará una notificación a la `URL` indicada por el cliente.

Para recibir las notificaciones en esa URL debe comunicarse con nuestro [soporte ](/soporte-pagouno.md)e informarla allí para que procedamos a su configuración.

Una vez que nuestro soporte configura el endpoint de notificación, con cada evento en el gateway se enviará una petición `HTTP POST`con el siguiente JSON en el body:

### Json Ejemplo

```javascript
{
    "id_news": 352221,
    "type": "Transaction",
    "id_object": 1069852,
    "id_news_type": 200,
    "action": "Response received and processed (success).",
    "date_created": "2019-09-25T11:02:45.154-03:00",
    "version": 1,
    "data": {
        "id": "897D7EFB-EBB5-4960-B92F-0AE9C034457A",
        "transaction_amount": 1000,
        "bin": "545454",
        "last_4_digit": "1234",
        "checkout_id": "804e8659-0f49-4be5-9d0c-611ed614b801", 
        "external_reference": "Venta On-Line"
    }
}
```

Esto indica que la transacción con id&#x20;

```javascript
"897D7EFB-EBB5-4960-B92F-0AE9C034457A"
```

o con id de botón de pago&#x20;

```javascript
"804e8659-0f49-4be5-9d0c-611ed614b801"
```

fue recibida y procesada exitosamente con fecha

```javascript
"2019-09-25T11:02:45.154-03:00"
```

### **PagoUno notifica los siguientes eventos**

| **id\_news\_type** | **type**      | **action**                                   |
| ------------------ | ------------- | -------------------------------------------- |
| `200`              | `Transaction` | `Response received and processed (success)`. |
| `201`              | `Transaction` | `Response received and processed (fail).`    |
| `320`              | `Transaction` | `Rollback executed (with annulment).`        |
| `322`              | `Transaction` | `Rollback executed (with devolution).`       |
| `400`              | `Transaction` | `Transaction annulment executed.`            |
| `410`              | `Transaction` | `Transaction devolution executed.`           |

### **¿Qué debe hacer al recibir una notificación?**

Cuando recibe una notificación en su plataforma, **pagoUno** espera una respuesta para saber que fue recibida.&#x20;

Debe devolver un `HTTP STATUS 200` (OK) ó `HTTP STATUS 201` (CREATED).\ <br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagouno.com/api-pagouno/notificaciones-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
